## org.apache.poi.ss.formula.constant
Class ConstantValueParser

    java.lang.Object
      org.apache.poi.ss.formula.constant.ConstantValueParser

    public final class ConstantValueParser

extends java.lang.Object

To support Constant Values (2.5.7) as required by the CRN record. This class is also used for two dimensional arrays which are encoded by EXTERNALNAME (5.39) records and Array tokens.

Author:
  Josh Micich

Method Summary
`static void` `encode(LittleEndianOutput out, java.lang.Object[] values)`
`static int` `getEncodedSize(java.lang.Object[] values)`
`static java.lang.Object[]` `parse(LittleEndianInput in, int nValues)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parse

    public static java.lang.Object[] parse(LittleEndianInput in,
                                           int nValues)

### getEncodedSize

    public static int getEncodedSize(java.lang.Object[] values)

### encode

    public static void encode(LittleEndianOutput out,
                              java.lang.Object[] values)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.